package com.sckj.project.service.impl.logistics;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.logistics.LargeOfficeAssetDirs;
import com.sckj.project.mapper.logistics.LargePlatLogisticsOfficeAssetMapper;
import com.sckj.project.service.logistics.ILargePlatLogisticsOfficeAssetService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 楼宇设备Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatLogisticsOfficeAssetServiceImpl extends ServiceImpl<LargePlatLogisticsOfficeAssetMapper, LargeOfficeAssetDirs> implements ILargePlatLogisticsOfficeAssetService {

    public void saveOrUpdate(List<LargeOfficeAssetDirs> list){
        try {
            if (list.size() < 1){
                return;
            }
            for (LargeOfficeAssetDirs it : list){
                LambdaQueryWrapper<LargeOfficeAssetDirs> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(LargeOfficeAssetDirs::getAppCode, it.getAppCode());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<LargeOfficeAssetDirs> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(LargeOfficeAssetDirs::getAppCode, it.getAppCode());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
