package com.sckj.project.service.impl.service;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatBasicsServer;
import com.sckj.project.domain.service.PlatBasicsServer;
import com.sckj.project.mapper.service.LargePlatBasicsServerMapper;
import com.sckj.project.service.service.ILargePlatBasicsServerService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 服务信息Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatBasicsServerServiceImpl extends ServiceImpl<LargePlatBasicsServerMapper, PlatBasicsServer> implements ILargePlatBasicsServerService {

    public void saveOrUpdate(JSONArray array){
        try {
            if (array == null){
                return;
            }
            List<PlatBasicsServer> list = array.toList(PlatBasicsServer.class);
            if (list.size() < 1){
                return;
            }
            for (PlatBasicsServer it : list){
                LambdaQueryWrapper<PlatBasicsServer> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatBasicsServer::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatBasicsServer> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatBasicsServer::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
        }
    }
}
