package com.sckj.project.service.impl.service;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatBasics;
import com.sckj.project.domain.service.PlatBasics;
import com.sckj.project.mapper.service.LargePlatBasicsMapper;
import com.sckj.project.service.service.ILargePlatBasicsService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 基础运行数据Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatBasicsServiceImpl extends ServiceImpl<LargePlatBasicsMapper, PlatBasics> implements ILargePlatBasicsService {
    public void saveOrUpdate(JSONArray array){
        try {
            if (array == null){
                return;
            }
            List<PlatBasics> list = array.toList(PlatBasics.class);
            if (list.size() < 1){
                return;
            }
            for (PlatBasics it : list){
                LambdaQueryWrapper<PlatBasics> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatBasics::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatBasics> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatBasics::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
        }
    }

}
