package com.sckj.project.service.impl.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatBasicsSystem;
import com.sckj.project.mapper.service.LargePlatBasicsSystemMapper;
import com.sckj.project.service.service.ILargePlatBasicsSystemService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 系统运行峰值情况分析Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatBasicsSystemServiceImpl extends ServiceImpl<LargePlatBasicsSystemMapper, PlatBasicsSystem> implements ILargePlatBasicsSystemService {

    public void saveOrUpdate(List<PlatBasicsSystem> list){
        try {
            if (list.size() < 1){
                return;
            }
            for (PlatBasicsSystem it : list){
                LambdaQueryWrapper<PlatBasicsSystem> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatBasicsSystem::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatBasicsSystem> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatBasicsSystem::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
