package com.sckj.project.service.impl.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatEmployeeTypeFlow;
import com.sckj.project.mapper.service.LargePlatEmployeeTypeFlowMapper;
import com.sckj.project.service.service.ILargePlatEmployeeTypeFlowService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 近一周人流量统计Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatEmployeeTypeFlowServiceImpl extends ServiceImpl<LargePlatEmployeeTypeFlowMapper, PlatEmployeeTypeFlow> implements ILargePlatEmployeeTypeFlowService {

    public void saveOrUpdate(List<PlatEmployeeTypeFlow> list){
        try {
            if (list.size() < 1){
                return;
            }
            for (PlatEmployeeTypeFlow it : list){
                LambdaQueryWrapper<PlatEmployeeTypeFlow> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatEmployeeTypeFlow::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatEmployeeTypeFlow> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatEmployeeTypeFlow::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
