package com.sckj.project.service.impl.service;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatEmployeeType;
import com.sckj.project.domain.service.PlatEmployeeType;
import com.sckj.project.mapper.service.LargePlatEmployeeTypeMapper;
import com.sckj.project.service.service.ILargePlatEmployeeTypeService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 员工概况Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatEmployeeTypeServiceImpl extends ServiceImpl<LargePlatEmployeeTypeMapper, PlatEmployeeType> implements ILargePlatEmployeeTypeService {

    public void saveOrUpdate(JSONArray array){
        try {
            if (array == null){
                return;
            }
            List<PlatEmployeeType> list = array.toList(PlatEmployeeType.class);
            if (list.size() < 1){
                return;
            }
            for (PlatEmployeeType it : list){
                LambdaQueryWrapper<PlatEmployeeType> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatEmployeeType::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatEmployeeType> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatEmployeeType::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
        }
    }
}
