package com.sckj.project.service.impl.service;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatGreenSmartOther;
import com.sckj.project.mapper.service.LargePlatGreenSmartOtherMapper;
import com.sckj.project.service.service.ILargePlatGreenSmartOtherService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 绿智食堂 其他参数Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatGreenSmartOtherServiceImpl extends ServiceImpl<LargePlatGreenSmartOtherMapper, PlatGreenSmartOther> implements ILargePlatGreenSmartOtherService {

    public void saveOrUpdate(JSONArray array){
        try {
            if (array == null){
                return;
            }
            List<PlatGreenSmartOther> list = array.toList(PlatGreenSmartOther.class);
            if (list.size() < 1){
                return;
            }
            for (PlatGreenSmartOther it : list){
                LambdaQueryWrapper<PlatGreenSmartOther> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatGreenSmartOther::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatGreenSmartOther> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatGreenSmartOther::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
        }
    }
}
