package com.sckj.project.service.impl.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatGreenSmartRank;
import com.sckj.project.mapper.service.LargePlatGreenSmartRankMapper;
import com.sckj.project.service.service.ILargePlatGreenSmartRankService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 绿智食堂 排名Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatGreenSmartRankServiceImpl extends ServiceImpl<LargePlatGreenSmartRankMapper, PlatGreenSmartRank> implements ILargePlatGreenSmartRankService {

    public void saveOrUpdate(List<PlatGreenSmartRank> list){
        try {
            if (list.size() < 1){
                return;
            }
            for (PlatGreenSmartRank it : list){
                LambdaQueryWrapper<PlatGreenSmartRank> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatGreenSmartRank::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatGreenSmartRank> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatGreenSmartRank::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
