package com.sckj.project.service.impl.service;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatPostStationChart;
import com.sckj.project.mapper.service.LargePlatPostStationChartMapper;
import com.sckj.project.service.service.ILargePlatPostStationChartService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 近六个月报修分类占比Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatPostStationChartServiceImpl extends ServiceImpl<LargePlatPostStationChartMapper, PlatPostStationChart> implements ILargePlatPostStationChartService {

    public void saveOrUpdate(List<PlatPostStationChart> list){
        try {
            if (list.size() < 1){
                return;
            }
            for (PlatPostStationChart it : list){
                LambdaQueryWrapper<PlatPostStationChart> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatPostStationChart::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatPostStationChart> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatPostStationChart::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
