package com.sckj.project.service.impl.service;

import cn.hutool.json.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sckj.project.domain.service.PlatPropertyList;
import com.sckj.project.domain.service.PlatPropertyList;
import com.sckj.project.mapper.service.LargePlatPropertyListMapper;
import com.sckj.project.service.service.ILargePlatPropertyListService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 驿站列Service业务层处理
 *
 * @author change
 * @date 2025-03-05
 */
@Service
public class LargePlatPropertyListServiceImpl extends ServiceImpl<LargePlatPropertyListMapper, PlatPropertyList> implements ILargePlatPropertyListService {

    public void saveOrUpdate(JSONArray array){
        try {
            if (array == null){
                return;
            }
            List<PlatPropertyList> list = array.toList(PlatPropertyList.class);
            if (list.size() < 1){
                return;
            }
            for (PlatPropertyList it : list){
                LambdaQueryWrapper<PlatPropertyList> queryWrapper = new LambdaQueryWrapper<>();
                queryWrapper.eq(PlatPropertyList::getAppOrg, it.getAppOrg());
                if (count(queryWrapper) > 0){
                    LambdaUpdateWrapper<PlatPropertyList> updateWrapper = new LambdaUpdateWrapper<>();
                    updateWrapper.eq(PlatPropertyList::getAppOrg, it.getAppOrg());
                    update(it, updateWrapper);
                }
                else {
                    save(it);
                }
            }
        } catch (Exception e) {
        }
    }
}
