package com.sckj.project.task;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sckj.project.config.ApiUrlConfig;
import com.sckj.project.domain.building.LargeBuilding;
import com.sckj.project.domain.building.LargeBuildingControl;
import com.sckj.project.domain.building.LargeBuildingControlAmmeterDetail;
import com.sckj.project.domain.logistics.LargeHousingLand;
import com.sckj.project.service.building.ILargePlatBuildingAmmeterDetailService;
import com.sckj.project.service.building.ILargePlatBuildingControlService;
import com.sckj.project.service.building.ILargePlatBuildingService;
import com.sckj.project.util.AESUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestClientException;
import org.springframework.web.client.RestTemplate;

import java.util.List;

@Service
public class BuildingTaskService {

    @Autowired
    private ILargePlatBuildingService largePlatBuildingService;

    @Autowired
    private ILargePlatBuildingControlService largePlatBuildingControlService;

    @Autowired
    private ILargePlatBuildingAmmeterDetailService largePlatBuildingAmmeterDetailService;

    @Autowired
    private RestTemplate restTemplate;

    public JSONArray callExternalApi(String url) {
        try {
            HttpHeaders headers = new HttpHeaders();
            headers.set("X-Access-Token", AESUtil.encrypt("M2p5yEL67eZct7gtvT"));
            HttpEntity<String> entity = new HttpEntity<>(null, headers);
            ResponseEntity<String> response = restTemplate.exchange(url, HttpMethod.GET, entity, String.class);
            if (StringUtils.isEmpty(response.getBody())){
                return null;
            }
            return JSONUtil.parseObj(response.getBody()).getJSONArray("data");
        } catch (RestClientException e) {
            return null;
        }
    }

    public void myTask(){

        /*楼宇表*/
        try {
            JSONArray array = callExternalApi(ApiUrlConfig.getBuildingUrl());
            if (array == null){
                return;
            }
            List<LargeBuilding> list = array.toList(LargeBuilding.class);
            if (list.size() < 1){
                return;
            }
            largePlatBuildingService.remove(new LambdaQueryWrapper<>());
            largePlatBuildingService.saveBatch(list);
        } catch (Exception e) {

        }

        /*楼宇中控*/
        try {
            JSONArray array = callExternalApi(ApiUrlConfig.getBuildingControlUrl());
            if (array == null){
                return;
            }
            List<LargeBuildingControl> list = array.toList(LargeBuildingControl.class);
            if (list.size() < 1){
                return;
            }
            largePlatBuildingControlService.remove(new LambdaQueryWrapper<>());
            largePlatBuildingControlService.saveBatch(list);
        } catch (Exception e) {

        }

        /*楼宇中控电表明细表*/
        try {
            JSONArray array = callExternalApi(ApiUrlConfig.getBuildingAmmeterDetailUrl());
            if (array == null){
                return;
            }
            List<LargeBuildingControlAmmeterDetail> list = array.toList(LargeBuildingControlAmmeterDetail.class);
            if (list.size() < 1){
                return;
            }
            largePlatBuildingAmmeterDetailService.remove(new LambdaQueryWrapper<>());
            largePlatBuildingAmmeterDetailService.saveBatch(list);
        } catch (Exception e) {

        }


        System.out.println("楼宇运行同步完成");
    }
}
