package com.sckj.project.task;

import cn.hutool.json.JSONArray;
import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sckj.project.config.ApiUrlConfig;
import com.sckj.project.domain.building.LargeBuilding;
import com.sckj.project.domain.engineering.LargeCamera;
import com.sckj.project.domain.engineering.LargeIssue;
import com.sckj.project.domain.engineering.LargeProject;
import com.sckj.project.service.engineering.ILargeCameraService;
import com.sckj.project.service.engineering.ILargePlatIssueService;
import com.sckj.project.service.engineering.ILargePlatProjectService;
import com.sckj.project.util.AESUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpEntity;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestClientException;
import org.springframework.web.client.RestTemplate;

import java.util.List;

@Service
public class EngineeringTaskService {

    @Autowired
    private ILargeCameraService largeCameraService;

    @Autowired
    private ILargePlatIssueService largePlatIssueService;

    @Autowired
    private ILargePlatProjectService largePlatProjectService;

//    @Autowired
//    private GenericService<LargeProject> service28;

    @Autowired
    private RestTemplate restTemplate;

    public JSONArray callExternalApi(String url) {
        try {
            HttpHeaders headers = new HttpHeaders();
            headers.set("X-Access-Token", AESUtil.encrypt("M2p5yEL67eZct7gtvT"));
            HttpEntity<String> entity = new HttpEntity<>(null, headers);
            ResponseEntity<String> response = restTemplate.exchange(url, HttpMethod.GET, entity, String.class);
            if (StringUtils.isEmpty(response.getBody())){
                return null;
            }
            return JSONUtil.parseObj(response.getBody()).getJSONArray("data");
        } catch (RestClientException e) {
            return null;
        }
    }

    public void myTask(){

        /*监控表*/
        try {
            JSONArray array = callExternalApi(ApiUrlConfig.getEngineerCameraUrl());
            if (array == null){
                return;
            }
            List<LargeCamera> list = array.toList(LargeCamera.class);
            if (list.size() < 1){
                return;
            }
            largeCameraService.remove(new LambdaQueryWrapper<>());
            largeCameraService.saveBatch(list);
        } catch (Exception e) {

        }

        /*上报问题表*/
        try {
            JSONArray array = callExternalApi(ApiUrlConfig.getEngineerIssueUrl());
            if (array == null){
                return;
            }
            List<LargeIssue> list = array.toList(LargeIssue.class);
            if (list.size() < 1){
                return;
            }
            largePlatIssueService.remove(new LambdaQueryWrapper<>());
            largePlatIssueService.saveBatch(list);
        } catch (Exception e) {

        }

        /*项目表*/
        try {
            JSONArray array = callExternalApi(ApiUrlConfig.getEngineerProjectUrl());
            if (array == null){
                return;
            }
            List<LargeProject> list = array.toList(LargeProject.class);
            if (list.size() < 1){
                return;
            }
            largePlatProjectService.remove(new LambdaQueryWrapper<>());
            largePlatProjectService.saveBatch(list);
        } catch (Exception e) {

        }

        System.out.println("工程现场同步完成");
    }
}
