package com.sckj.project.task;

import cn.hutool.json.JSONUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.sckj.project.config.ApiUrlConfig;
import com.sckj.project.domain.building.LargeBuilding;
import com.sckj.project.domain.building.LargeBuildingControl;
import com.sckj.project.domain.building.LargeBuildingControlAmmeterDetail;
import com.sckj.project.domain.car.LargeCar;
import com.sckj.project.domain.car.LargeCarDetail;
import com.sckj.project.domain.car.LargeCarRank;
import com.sckj.project.domain.car.LargeWarnDetail;
import com.sckj.project.domain.engineering.LargeCamera;
import com.sckj.project.domain.engineering.LargeIssue;
import com.sckj.project.domain.engineering.LargeProject;
import com.sckj.project.domain.logistics.*;
import com.sckj.project.domain.service.*;
import com.sckj.project.service.building.ILargePlatBuildingAmmeterDetailService;
import com.sckj.project.service.building.ILargePlatBuildingControlService;
import com.sckj.project.service.building.ILargePlatBuildingService;
import com.sckj.project.service.car.ILargeCarDetailService;
import com.sckj.project.service.car.ILargeCarRankService;
import com.sckj.project.service.car.ILargeCarService;
import com.sckj.project.service.car.ILargeWarnDetailService;
import com.sckj.project.service.engineering.ILargeCameraService;
import com.sckj.project.service.engineering.ILargePlatIssueService;
import com.sckj.project.service.engineering.ILargePlatProjectService;
import com.sckj.project.service.logistics.*;
import com.sckj.project.service.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpMethod;
import org.springframework.http.ResponseEntity;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;
import org.springframework.web.client.RestClientException;
import org.springframework.web.client.RestTemplate;

import java.util.List;

/**
 * @Description
 * @Author bqyang
 * @Date 2025/3/4 15:02
 * @Version 1.0
 */
@Component
public class ProjectTaskController {

    @Autowired
    private ServiceTaskService serviceTaskService;


    @Autowired
    private LogisticsTaskService logisticsTaskService;


    @Autowired
    private BuildingTaskService buildingTaskService;


    @Autowired
    private EngineeringTaskService engineeringTaskService;


    @Autowired
    private CarTaskService carTaskService;




    @Scheduled(cron = "0 */2 * * * ?")
    public void taskService() {
        serviceTaskService.myTask();
    }


    @Scheduled(cron = "0 */2 * * * ?")
    public void taskLogistics(){
        logisticsTaskService.myTask();
    }


    @Scheduled(cron = "0 */2 * * * ?")
    public void taskBuilding(){
        buildingTaskService.myTask();
    }

    @Scheduled(cron = "0 */2 * * * ?")
    public void taskEngineering(){
        engineeringTaskService.myTask();
    }

    @Scheduled(cron = "0 */2 * * * ?")
    public void taskCar(){
        carTaskService.myTask();
    }
}
